
/******************************************************************************
* @file    	pins.h
* @author  	Auto generated by Conductor Tool https://conductor.alifsemi.com/
* @version  v1.0.0
* @date     16-10-2023
* @brief   	Pin MUX and Pin Config settings for "" project with AE722F80F55D5AS
* @bug      None.
* @note     None.
******************************************************************************/
/* 
*   Copyright (C) 2023 Alif Semiconductor - All Rights Reserved.
*   Use, distribution and modification of this code is permitted under the
*   terms stated in the Alif Semiconductor Software License Agreement
*
*   You should have received a copy of the Alif Semiconductor Software
*   License Agreement with this file. If not, please write to:
*   https://alifsemi.com/contact/, or visit: https://alifsemi.com/license/
*/

#ifndef __PINCONF_H__
#define __PINCONF_H__

#include <stdint.h>
#include "pinconf.h"

struct pinconf {
    uint8_t port;
    uint8_t pin;
    uint8_t alternate_function;
    uint8_t pad_control;
};

/* Pin Mux and Config Values generated by Conductor Tool */

const struct pinconf board_pinconf[] = {
	/* P6_2 on pin D14. Functions: [0]: >>>GPIO6_2<<<, [1]: OSPI0_D2_C, [2]: UART2_CTS_A, [3]: Reserved, [4]: PDM_D1_C, [5]: UT5_T0_B, [6]: SD_D2_D, [7]: ETH_TXEN_A */
	/* Selected: GPIO6_2 */
	{PORT_6, PIN_2, PINMUX_ALTERNATE_FUNCTION_0, PADCTRL_OUTPUT_DRIVE_STRENGTH_4MA},

	/* P6_4 on pin B14. Functions: [0]: >>>GPIO6_4<<<, [1]: OSPI0_D4_C, [2]: UART2_CTS_B, [3]: Reserved, [4]: SPI1_SS0_B, [5]: UT6_T0_B, [6]: SD_D4_D, [7]: ETH_REFCLK_A */
	/* Selected: GPIO6_4 */
	{PORT_6, PIN_4, PINMUX_ALTERNATE_FUNCTION_0, PADCTRL_OUTPUT_DRIVE_STRENGTH_4MA},

	/* P6_6 on pin D16. Functions: [0]: >>>GPIO6_6<<<, [1]: OSPI0_D6_C, [2]: UART0_CTS_B, [3]: Reserved, [4]: SPI1_SS2_B, [5]: UT7_T0_B, [6]: SD_D6_D, [7]: ETH_MDC_A */
	/* Selected: GPIO6_6 */
	{PORT_6, PIN_6, PINMUX_ALTERNATE_FUNCTION_0, PADCTRL_OUTPUT_DRIVE_STRENGTH_4MA},

	/* P7_4 on pin M22 {FLEX IO}. Functions: [0]: >>>GPIO7_4<<<, [1]: Reserved, [2]: LPUART_CTS_A, [3]: LPPDM_C2_A, [4]: LPSPI_MISO_A, [5]: LPI2C_SCL_A, [6]: UT10_T0_B */
	/* Selected: GPIO7_4 */
	{PORT_7, PIN_4, PINMUX_ALTERNATE_FUNCTION_0, PADCTRL_OUTPUT_DRIVE_STRENGTH_4MA},

	/* P12_0 on pin D2. Functions: [0]: >>>GPIO12_0<<<, [1]: OSPI0_SCLK_C, [2]: AUDIO_CLK_C, [3]: I2S1_SDI_B, [4]: UT8_T0_C, [5]: CDC_D8_B */
	/* Selected: GPIO12_0 */
	{PORT_12, PIN_0, PINMUX_ALTERNATE_FUNCTION_0, PADCTRL_OUTPUT_DRIVE_STRENGTH_4MA},

	/* P12_3 on pin E7. Functions: [0]: >>>GPIO12_3<<<, [1]: OSPI0_SS0_C, [2]: UART4_DE_B, [3]: I2S1_WS_B, [4]: UT9_T1_C, [5]: CDC_D11_B */
	/* Selected: GPIO12_3 */
	{PORT_12, PIN_3, PINMUX_ALTERNATE_FUNCTION_0, PADCTRL_OUTPUT_DRIVE_STRENGTH_4MA},

};


#endif /* __PINCONF_H__ */
